# Video Terminal Revival
Physical recreation of a video terminal device for connecting to a serial console. Emulates a VT100 terminal using an ESP32, a keyboard and a TV.

## Hardware
 - ESP32 as the main processing board
 - Display with a composite video input (ideally a CRT)
 - LK201 terminal keyboard

## Software
 - [TinTTY](https://github.com/unframework/tintty) for VT100 emulation
 - [ESP32Lib](https://github.com/bitluni/ESP32Lib/tree/development) for composite video output

## Building
1. Connect up the hardware (TODO).
2. Get the Arduino IDE, Install ESP32 board package, Install ESP32Lib library.
3. Compile and upload the sketch in `video-terminal/video-terminal.ino`

## Resources
 - [LK201 Interface](http://www.netbsd.org/docs/Hardware/Machines/DEC/lk201.html) for keyboard specification

